const { mode } = require('./meta');

const AWS = !!process.env.AWS;

const getEnvVar = name => {
  if (process.env[name] === 'true' || process.env[name] === '1') {
    return true;
  }

  if (process.env[name] === 'false' || process.env[name] === '0') {
    return false;
  }

  return mode.toUpperCase() === name;
};

const DEVELOPMENT = getEnvVar('DEVELOPMENT');
const STAGING = getEnvVar('STAGING');
const PRODUCTION = getEnvVar('PRODUCTION');

module.exports = {
  AWS,
  DEVELOPMENT,
  STAGING,
  PRODUCTION,
};
