/**
 * Template for pages
 * @param {function} route - The route users will use to get to this page.
 *    The argument passed to the function is an object containing the params
 *    used in your route generation.
 *
 * @param {string} page - The path to the page JSX file relative to the pages directory.
 *
 * @param {function} query - A transformation function whose result gets passed
 *    to your route function. The argument passed is an object containing all
 *    of the params used in your internal links and route generation.
 *    The result will be available in your page component.
 */

module.exports = {
  root: {
    route: () => `/`,
    page: '/',
    query: () => {},
  },

  component: {
    route: ({ name }) => `/${name}/`,
    page: '/component',
    query: ({ name }) => ({ name }),
  },

  colors: {
    route: () => `/colors/`,
    page: '/colors',
    query: () => {},
  },
};
