const path = require('path');
const withTM = require('@weco/next-plugin-transpile-modules');
const withCSS = require('@zeit/next-css');

const webpack = require('./next.webpack');
const routes = require('./next.routes');
const env = require('./constants/environment');
const components = require('./constants/components.js');

const { APP_ROOT } = require('./constants/paths');

let opts = {
  distDir: path.relative(__dirname, path.resolve(__dirname, '.dist')),
  exportTrailingSlash: true,
  assetPrefix: APP_ROOT,
  exportPathMap: routes,
  publicRuntimeConfig: {
    appRoot: APP_ROOT,
    development: env.DEVELOPMENT,
    staging: env.STAGING,
    production: env.PRODUCTION,
    ads: !env.DEVELOPMENT || true,
    components: components(),
  },
  webpack,
  transpileModules: [
  ],
};

opts = withCSS(opts);
opts = withTM(opts);

if (!process.env.AWS) {
  const withProgressBar = require('next-progressbar');
  opts = withProgressBar(opts);
}

module.exports = opts;
