const urls = require('./constants/urls.js');
const components = require('./constants/components.js');

module.exports = function() {
  let routes = {};

  const addRoute = (conf, options) => {
    const route = conf.route(options);
    const page = conf.page;
    const query = conf.query(options);

    routes[route] = { page, query };
  };

  addRoute(urls.root);
  addRoute(urls.colors);

  components().forEach(f => {
    addRoute(urls.component, { name: f });
  });

  return routes;
};
