export default {
  title: 'Info',

  componentProps: [
    // {
    //   name: 'children',
    //   type: 'node',
    //   description: 'The content of the component',
    // },
  ],

  cssProps: [
    // {
    //   name: 'container',
    //   globalClass: 'PibTypography-container',
    //   description: 'Styles applied to container div',
    // },
  ],

  examples: [
    {
      code: `
<Info
  authors={[
    {
      link: 'https://politico.com',
      name: 'First Lastname',
    },
  ]}
  published = {new Date('January 1, 1970 9:00:00').toISOString()}
  updated = {null}
/>`,
    },
    {
      name: 'Multiple Authors',
      description: 'Add another object to the "authors" props with a "link" and "name" to add another author. The component will concatenate all the names with proper english syntax. Try adding or removing names to see it work.',
      code: `
<Info
  authors={[
    {
      link: 'https://politico.com',
      name: 'Andrew Briz',
    },
    {
      link: 'https://politico.com',
      name: 'Beatrice Jin',
    },
    {
      link: 'https://politico.com',
      name: 'Lily Mihalik',
    },
  ]}
  published = {null}
  updated = {null}
/>`,
    },
    {
      name: 'Published and Updated Times',
      description: 'If you have an updated time, set the "updated" prop. Note that this will move the "<time />" element to reflect the updated time instead of the published time. Inspect the element below to see that.',
      code: `
<Info
  authors={[
    {
      link: 'https://politico.com',
      name: 'First Lastname',
    },
  ]}
  published = {new Date('January 1, 1970 9:00:00').toISOString()}
  updated = {new Date('January 3, 1970 13:00:00').toISOString()}
/>`,
    },
  ],
};
