import { useMemo } from 'react';
import { formatToTimeZone } from 'date-fns-timezone';

export default date => {
  return useMemo(() => {
    if (typeof date === 'string') {
      return formatToTimeZone(new Date(date), 'MM/DD/YYYY h:mm A z', { timeZone: 'America/New_York' });
    } else {
      return '';
    }
  }, [date]);
};
