import classnames from 'classnames';

import stylesheet from './styles.module.scss';

const Section = (props) => {
  const { children, href, classes } = props;
  const {
    root: rootClass,
  } = classes;

  return (
    <p
      className={classnames('PibSection-section', 'section', rootClass)}
    >
      <a href={href} target='_blank'>
        {children}
      </a>
      <style jsx>{stylesheet}</style>
    </p>
  );
};

Section.defaultProps = {
  classes: {},
};

export default Section;
