import stylesheet from './styles.module.scss';

const CssBlock = props => {
  const { cssProps } = props;

  if (cssProps.length === 0) {
    return null;
  }

  return (
    <div className='props-block'>
      <h2>CSS</h2>
      <table>
        <thead>
          <tr>
            <th className='name-header'>Name</th>
            <th className='global-class-header'>Global Class</th>
            <th className='description-header'>Description</th>
          </tr>
        </thead>
        <tbody>
          {cssProps.map(p =>
            <tr key={p.name}>
              <td><span className='name'>{p.name}</span></td>
              <td><span className='global-class'>{p.globalClass}</span></td>
              <td><span className='description'>{p.description}</span></td>
            </tr>
          )}
        </tbody>
      </table>
      <style jsx>{stylesheet}</style>
    </div>
  );
};

CssBlock.defaultProps = {
  cssProps: [],
};

export default CssBlock;
