import React from 'react';

import CodeBlock from 'Common/CodeBlock';
import stylesheet from './styles.module.scss';

const ImportBlock = props => {
  const { title, importString } = props;

  const code = importString || `\
import ${title} from '@politico/interactive-style/lib/${title}';
// or
import { ${title} } from '@politico/interactive-style';`;

  return (
    <div className='import-block'>
      <h2>Import</h2>
      <CodeBlock>{code}</CodeBlock>
      <style jsx>{stylesheet}</style>
    </div>
  );
};

export default ImportBlock;
