import Sandbox from '../Sandbox';
import CodeBlock from '../CodeBlock';

import * as components from 'Components';
import demo from './demo';

import stylesheet from './styles.module.scss';

const { P } = components;

const Installation = props => {
  return (
    <div className='installation'>
      <h1>@politico/interactive-style</h1>
      <P no-margins sans>
        Components, colors, and mixins for consistently styling all of our POLITITCO interactive pages.
      </P>

      <h2>Installation</h2>
      <CodeBlock>{`
// with npm
npm install @politico/interactive-style

// with yarn
yarn add @politico/interactive-style
      `}</CodeBlock>

      <h2>Importing</h2>
      <CodeBlock>{`
// Import the entire library and use components through dot notation
import Style from '@politico/interactive-style';
return (
  <Style.Headline>Hello World</Style.Headline>
)

// Or import components individually
import { Headline } from '@politico/interactive-style';
return (
  <Headline>Hello World</Headline>
)

// Or import components directly
import Headline from '@politico/interactive-style/lib/Headline';
return (
  <Headline>Hello World</Headline>
)
      `}</CodeBlock>

      <h2>Demo</h2>
      <Sandbox example={{ code: demo }} scope={components} />
      <style jsx>{stylesheet}</style>
    </div>
  );
};

export default Installation;
