import { useMemo } from 'react';
import BaseLink from 'next/link';

import getLinkFromProps from './hooks/getLinkFromProps';

import stylesheet from './styles.module.scss';

const Link = (props) => {
  const { page, className, children, ...urlReversingParams } = props;

  const [href, as] = useMemo(() => {
    return getLinkFromProps(page, urlReversingParams);
  }, [page, urlReversingParams]);

  if (!href) { return null; }

  return (
    <>
      <BaseLink href={href} as={as}>
        <a className={className}>
          {children}
        </a>
      </BaseLink>
      <style jsx>{stylesheet}</style>
    </>
  );
};

Link.defaultProps = {
  className: null,
};

export default Link;
