import { Fragment } from 'react';

import Header from './Header';
import Head from './Head';
import SiteNav from './SiteNav';

import stylesheet from './styles.module.scss';

const Page = props => {
  const { title, children } = props;

  return (
    <Fragment>
      <Head title={title} />
      <div className='site'>
        <SiteNav />
        <div className='page' >
          <Header />
          <div className='inner-content'>
            {children}
          </div>
        </div>
      </div>
      <style jsx>{stylesheet}</style>
    </Fragment>
  );
};

Page.defaultProps = {
  link: '../',
  title: '',
};

export default Page;
