import React from 'react';
import Document, { Head, Main, NextScript } from 'next/document';
import styles from 'Theme/main.scss';

export default class MyDocument extends Document {
  render() {
    return (
      <html lang='en'>
        <Head>
          <style key='base' id='base' dangerouslySetInnerHTML={{ __html: styles }} />
        </Head>
        <body>
          <Main />
          <NextScript />
        </body>
      </html>
    );
  }
}

MyDocument.getInitialProps = async ctx => {
  const initialProps = await Document.getInitialProps(ctx);
  return {
    ...initialProps,
    styles: [...React.Children.toArray(initialProps.styles)],
  };
};
